Bug 18287 - at installation time
Summary: at installation time
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-04 04:07 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 17:26:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-04 04:07:06 UTC
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1297, in instCallback
    fn = self.method.getFilename(h)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 99, in getFilename
    return self.tree + "/RedHat/RPMS/" + h[1000000]
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
self: <image.CdromInstallMethod instance at 81fc690>
h: <header object at 8337c08>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Need Real Name 2000-10-04 12:12:54 UTC
I'm try install RedHat on IBM Aptiva model L-22, IBM 2238 Monitor, built-in video card, MWave card (sound, modem and fax), but it crashes always.

Expert mode , crash
Text mode, crash


Comment 2 Michael Fulbright 2000-10-04 22:23:43 UTC
Did you make the CD you are installing from?

Comment 3 Need Real Name 2000-10-05 02:31:58 UTC
yes, from an .iso obtained from a mirror of RedHat. I use same CD to install on Compaq EP (Celeron, Matrox video card, compaq V50 monitor), and no 
problem, that works OK.

Comment 4 Michael Fulbright 2000-10-06 20:44:08 UTC
This kind of problem occurs when either the CD media is bad, or a CD drive has
problems reading a particular CD media.

Could you try a different CD or CD drive in the problematic machine?

Comment 5 Michael Fulbright 2000-11-22 17:26:07 UTC
Please reopen this bug if you continue to have problems.


Note You need to log in before you can comment on or make changes to this bug.